import {Path} from "./path";
import {ListBucketComponent} from "./list_bucket";
import {makeStyles} from "@fluentui/react-components";
import {useStoreBucket} from "../../store/bucket";
import {useStoreFile} from "../../store/file";
import {ListFileComponent} from "./list_file";

const useStyles = makeStyles({
    content: {
        flex: '1',
        display: "flex",
        flexDirection: 'column',
        height: "100%",
        width: "100%",
    },
})

export function Content() {

    const styles = useStyles()
    const {bucket_active, bucket_list} = useStoreBucket()
    const {file_list} = useStoreFile()

    return <div className={styles.content}>
        <Path/>
        {
            bucket_active ?
                <ListFileComponent/> :
                <ListBucketComponent/>
        }
    </div>
}